org.icefaces.ace.component.gmap

## Interface IGMapMarker

- All Known Implementing Classes:
    GMapMarker, GMapMarkerBase

      public interface IGMapMarker

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()`
    `java.lang.String` | `getAnimation()`
    `javax.el.MethodExpression` | `getDragDropListener()`
    `java.lang.String` | `getLatitude()`
    `java.lang.String` | `getLongitude()`
    `java.lang.String` | `getOptions()`
    `java.lang.Boolean` | `isDisabled()`
    `void` | `setAddress(java.lang.String address)`
    `void` | `setAnimation(java.lang.String animation)`
    `void` | `setDisabled(java.lang.Boolean disabled)`
    `void` | `setDragDropListener(javax.el.MethodExpression dragDropListener)`
    `void` | `setLatitude(java.lang.String latitude)`
    `void` | `setLongitude(java.lang.String longitude)`
    `void` | `setOptions(java.lang.String options)`

- - ### Method Detail

    - #### setAddress

          void setAddress(java.lang.String address)

    - #### getAddress

          java.lang.String getAddress()

    - #### setAnimation

          void setAnimation(java.lang.String animation)

    - #### getAnimation

          java.lang.String getAnimation()

    - #### setDisabled

          void setDisabled(java.lang.Boolean disabled)

    - #### isDisabled

          java.lang.Boolean isDisabled()

    - #### setDragDropListener

          void setDragDropListener(javax.el.MethodExpression dragDropListener)

    - #### getDragDropListener

          javax.el.MethodExpression getDragDropListener()

    - #### setLatitude

          void setLatitude(java.lang.String latitude)

    - #### getLatitude

          java.lang.String getLatitude()

    - #### setLongitude

          void setLongitude(java.lang.String longitude)

    - #### getLongitude

          java.lang.String getLongitude()

    - #### setOptions

          void setOptions(java.lang.String options)

    - #### getOptions

          java.lang.String getOptions()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.